Update crashed - pacman broken
Welcome, Guest.

Author Topic: Update crashed - pacman broken  (Read 2639 times)

Offline FNGCheapskate

  • Newbie
  • **
  • Posts: 5
Update crashed - pacman broken
« on: March 25, 2015, 06:40:29 PM »
Ok I installed Manjaro again.

-Version-
Kernel        : Linux 3.16.7.1-1-MANJARO (i686)
Compiled        : #1 SMP PREEMPT Sun Nov 16 01:58:13 UTC 2014
C Library        : GNU C Library version 2.20 (stable)
Default C Compiler        : GNU C Compiler version 4.9.2 (GCC)
Distribution        : Manjaro Linux
Desktop Environment        : XFCE 4

On fresh log in it said 2 updates were waiting so I ran the updates and it promtly failed.

Here is the pacmanlog
[2015-03-25 16:05] ==> Pre-4.2 database format detected - upgrading...
[2015-03-25 16:05] resolving dependencies...
[2015-03-25 16:05] looking for conflicting packages...
[2015-03-25 16:05] Packages (1) manjaro-system-20150314-1
[2015-03-25 16:05] Total Installed Size:  0.00 MiB
[2015-03-25 16:05] Net Upgrade Size:      0.00 MiB
[2015-03-25 16:05] :: Proceed with installation? [Y/n]
[2015-03-25 16:05] checking keyring...
[2015-03-25 16:05] checking package integrity...
[2015-03-25 16:05] loading package files...
[2015-03-25 16:05] checking for file conflicts...
[2015-03-25 16:05] checking available disk space...
[2015-03-25 16:05] upgrading manjaro-system...
[2015-03-25 16:05] ==> Removing lxsession ...
[2015-03-25 16:05] :: pamac optionally requires lxsession: needed for authentification in Xfce, LXDE etc.
[2015-03-25 16:05] Packages (1) lxsession-1:0.5.1-1.1
[2015-03-25 16:05] Total Removed Size:  1.63 MiB
[2015-03-25 16:05] :: Do you want to remove these packages? [Y/n]
[2015-03-25 16:05] removing lxsession...
[2015-03-25 16:05] ==> Replacing lightdm-gtk3-greeter with lightdm-gtk-greeter ...
[2015-03-25 16:05] :: lightdm optionally requires lightdm-gtk3-greeter: GTK3 greeter
[2015-03-25 16:05] Packages (1) lightdm-gtk3-greeter-1:1.8.6-1.1
[2015-03-25 16:05] Total Removed Size:  0.88 MiB
[2015-03-25 16:05] :: Do you want to remove these packages? [Y/n]
[2015-03-25 16:05] removing lightdm-gtk3-greeter...
[2015-03-25 16:05] warning: /etc/lightdm/lightdm-gtk-greeter.conf saved as /etc/lightdm/lightdm-gtk-greeter.conf.pacsave
[2015-03-25 16:05] resolving dependencies...
[2015-03-25 16:05] looking for conflicting packages...
[2015-03-25 16:05] Packages (1) lightdm-gtk-greeter-1:2.0.0-2
[2015-03-25 16:05] Total Download Size:   0.08 MiB
[2015-03-25 16:05] Total Installed Size:  0.90 MiB
[2015-03-25 16:05] :: Proceed with installation? [Y/n]
[2015-03-25 16:05] :: Retrieving packages ...
[2015-03-25 16:05] downloading lightdm-gtk-greeter-1:2.0.0-2-i686.pkg.tar.xz...
[2015-03-25 16:05] checking keyring...
[2015-03-25 16:05] checking package integrity...
[2015-03-25 16:05] loading package files...
[2015-03-25 16:05] checking for file conflicts...
[2015-03-25 16:05] checking available disk space...
[2015-03-25 16:05] installing lightdm-gtk-greeter...
crashed here and I had to kill it.

After this the commands "pacman-install %F"  and "pacman-updater"  now give the error

error while loading shared libraries: libalpm.so.8: cannot open shared object file: No such file or directory
How to fix?
« Last Edit: March 25, 2015, 06:46:56 PM by FNGCheapskate »

Offline Spatry

  • Benevolent Dictator
  • Administrator - Sysop
  • **********
  • Posts: 4266
  • Country: us
  • Cup of Linux Founder
    • Cup of Linux
Re: Update crash
« Reply #1 on: March 25, 2015, 06:43:54 PM »
Do not use the GUI to update. Please see the sticky threads on any Manjaro board that says "UPDATE PROBLEMS?".
"Don't be too proud of this technological terror you have constructed... The ability to destroy a planet is insignificant next to the power of the FORCE" -Darth Vader

Offline FNGCheapskate

  • Newbie
  • **
  • Posts: 5
Re: Update crashed - pacman broken
« Reply #2 on: March 25, 2015, 07:35:44 PM »
So we can't eve switch to octopi?

Offline Spatry

  • Benevolent Dictator
  • Administrator - Sysop
  • **********
  • Posts: 4266
  • Country: us
  • Cup of Linux Founder
    • Cup of Linux
Re: Update crashed - pacman broken
« Reply #3 on: March 25, 2015, 09:10:24 PM »
You can if you wish but I cannot guarantee a better result. Personally, I do not use the GUI myself UNLESS it wants to update packages which I installed from the AUR. I prefer using the terminal for all "Manjaro-system" updates.
"Don't be too proud of this technological terror you have constructed... The ability to destroy a planet is insignificant next to the power of the FORCE" -Darth Vader

Offline JayVii

  • Staff Member
  • ********
  • Posts: 1759
  • Country: de
    • JayVii's Page
Re: Update crashed - pacman broken
« Reply #4 on: March 25, 2015, 11:24:55 PM »
Actually, the "libalpm.so.8"-error is fixed by reinstalling PACMAN.
Code: You are not allowed to view links. Register or Login
sudo pacman -S pacman
sudo pacman -Syu
(This *may* also need all the other fixes...)

You guys should also add that to the sticky node
You are not allowed to view links. Register or Login

Offline FNGCheapskate

  • Newbie
  • **
  • Posts: 5
Re: Update crashed - pacman broken
« Reply #5 on: March 26, 2015, 06:21:52 AM »
Thanks I asked that on IRC but didn't get a response, I was still looking for the steps for it.

On another note I did install Octopi but it seems to not have Freeorion listed when I know it was listed in pacman-gui. wtf? One of the main reasons for me trying Manjaro was to look at using a repo that had the latest software.
Either way now I'm getting pgp key errors. All this on a fresh install that I haven't really done anything with other than install octopi.

-----
later that same day
----
ok I had to delete from home the .pgp folder and redo the key etc but finally got the package manager working again.

now trying freeorion.
« Last Edit: March 26, 2015, 10:31:44 AM by FNGCheapskate »

Offline Spatry

  • Benevolent Dictator
  • Administrator - Sysop
  • **********
  • Posts: 4266
  • Country: us
  • Cup of Linux Founder
    • Cup of Linux
Re: Update crashed - pacman broken
« Reply #6 on: March 26, 2015, 10:31:25 AM »
The PGP key problem has a solution and has been stickied. Look for "UPDATE PROBLEM"? on any Manjaro board. Octopi should show all the same software pamac does. Again, I do not rely on a GUI when pacman and yaourt get the job done for me in a terminal. The only reason I have pamac installed is for occasional testing at request of the Manjaro developer.
"Don't be too proud of this technological terror you have constructed... The ability to destroy a planet is insignificant next to the power of the FORCE" -Darth Vader

Offline FNGCheapskate

  • Newbie
  • **
  • Posts: 5
Re: Update crashed - pacman broken
« Reply #7 on: March 26, 2015, 10:32:36 AM »
yeah I saw that but it didn't work the key part was to delete the pgp folder form home.  Then it worked.

Post Merge: March 26, 2015, 03:49:25 PM
Fiddlesticks, Freeorion has an upstream problem.
« Last Edit: March 26, 2015, 03:49:25 PM by FNGCheapskate »